Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## waba.sys
Class Time

    java.lang.Object
      |
      +--waba.sys.Time

public final class Time
extends Object

Time identifies a date and time.

Here is an example of Time being used to display the current date:

     Time t = new Time();
     ...
     g.drawText("Today is " + t.year + "/" + t.month + "/" + t.day);

Field Summary
`int` | `day` The day in the range of 1 to the last day in the month.
`int` | `hour` The hour in the range of 0 to 23.
`int` | `millis` Milliseconds in the range of 0 to 999.
`int` | `minute` The minute in the range of 0 to 59.
`int` | `month` The month in the range of 1 to 12.
`int` | `second` The second in the range of 0 to 59.
`int` | `year` The year as its full set of digits (year 2010 is 2010).

Constructor Summary
`Time()` Constructs a time object set to the current date and time.

Method Summary
`String` | `toString()` returns the time in format specified in waba.sys.Settings.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, wait, wait`

Field Detail

### year

    public int year

  The year as its full set of digits (year 2010 is 2010).

### month

    public int month

  The month in the range of 1 to 12.

### day

    public int day

  The day in the range of 1 to the last day in the month.

### hour

    public int hour

  The hour in the range of 0 to 23.

### minute

    public int minute

  The minute in the range of 0 to 59.

### second

    public int second

  The second in the range of 0 to 59.

### millis

    public int millis

  Milliseconds in the range of 0 to 999.

Constructor Detail

### Time

    public Time()

  Constructs a time object set to the current date and time.

Method Detail

### toString

    public String toString()

  returns the time in format specified in waba.sys.Settings. To return the date, use class waba.util.Date.
  Overrides:
    toString in class Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD